/* 
   astromisc - library with miscellaneous GPL tools for astronomy research

   Copyright (C) 2004 Boud Roukema

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
*/

#include "astromisc.h"


double PLMGSL(int *l, int *m, double *costheta)
{
  double x;
  x= gsl_sf_legendre_sphPlm(*l,*m,*costheta) ; 
  return x;
};

double FCTGSL(int *n)
{
  unsigned int    n_unsigned;
  double x;

  n_unsigned = *n;
  /*  printf("*n, n_unsigned = %d %d\n",*n,n_unsigned); */
  x= gsl_sf_fact(n_unsigned);
  return x;
};

