/* 
   astromisc - library with miscellaneous GPL tools for astronomy research

   Copyright (C) 2006-2008 Boud Roukema

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#include <termios.h>
#include <grp.h>
#include <pwd.h>
*/

#include <stdio.h>

void print_matrix_R4(char *name, double m[4][4]){
  printf("%s = \n",name);
  printf("[ %f %f %f %f ]\n",
	 m[0][0], 
	 m[0][1], 
	 m[0][2], 
	 m[0][3] 
	 );
  printf("[ %f %f %f %f ]\n",
	 m[1][0], 
	 m[1][1], 
	 m[1][2], 
	 m[1][3] 
	 );
  printf("[ %f %f %f %f ]\n",
	 m[2][0], 
	 m[2][1], 
	 m[2][2], 
	 m[2][3] 
	 );
  printf("[ %f %f %f %f ]\n",
	 m[3][0], 
         m[3][1], 
         m[3][2], 
	 m[3][3] 
	 );
  printf("\n");
};


void print_vec_R4(char *name, double m[4]){
    printf("%s = [ %f %f %f %f ]\n",
	   name, m[0], m[1], m[2], m[3] );
};

